unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs,
  TAGraph, TASeries;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    Chart1: TChart;
    BarSeries1: TBarSeries;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TAChartUtils;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Das kann man auch im Design-Mode machen: ein TChart aufs Formular klicken
  Chart1 := TChart.Create(self);
  Chart1.Parent := self;
  Chart1.Align := alClient;

  // Im Designmode würde man hier den TChart rechts anklicken und eine BarSeries
  // einfügen
  BarSeries1 := TBarSeries.Create(Chart1);
  Chart1.AddSeries(BarSeries1);

  // Achsenbeschriftung der x Achse einrichten -- die Auswahl der Marks.Source
  // MUSS man so allerdings zur Laufzeit machen.
  Chart1.BottomAxis.Marks.Style := smsLabel;
  Chart1.BottomAxis.Marks.Source := BarSeries1.ListSource;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  BarSeries1.AddY(200, '1999', clGreen);
  BarSeries1.AddY(100, '2000', clRed);
  BarSeries1.AddY(300, '2000', clRed);
  BarSeries1.AddY(400, '2003', clGreen);
  BarSeries1.AddY(400, '2004', clGreen);
end;

end.

